Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server.interceptor
Class NotificationListenerMBeanServerInterceptor

    java.lang.Object
      mx4j.server.interceptor.DefaultMBeanServerInterceptor
          mx4j.server.interceptor.NotificationListenerMBeanServerInterceptor

All Implemented Interfaces:
  DefaultMBeanServerInterceptorMBean, MBeanServerInterceptor

public class NotificationListenerMBeanServerInterceptor
extends DefaultMBeanServerInterceptor

Interceptor that takes care of replacing the source of Notifications to the ObjectName of the NotificationBroadcaster that emitted it.

Version:
  $Revision: 1.14 $

Field Summary

Fields inherited from interface mx4j.server.interceptor.MBeanServerInterceptor
`POST_DEREGISTER, POST_REGISTER_FALSE, POST_REGISTER_TRUE, PRE_DEREGISTER, PRE_REGISTER`

Constructor Summary
`NotificationListenerMBeanServerInterceptor()`

Method Summary
`void` | `addNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Adds the given notification listener to the MBean, along with the given filter and handback
`int` | `getNotificationListenerWrapperReferenceCount(java.lang.Object wrapper)`
`java.util.Map` | `getNotificationListenerWrappers()`
`java.util.Map` | `getObjectNames()`
`java.lang.String` | `getType()` Returns the type of this interceptor
`void` | `registration(MBeanMetaData metadata, int operation)` Calls the specified `MBeanRegistration` method on the MBean instance.
`void` | `removeNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener)` Removes the given notification listener from the MBean.
`void` | `removeNotificationListener(MBeanMetaData metadata, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Removes the given notification listener from the MBean, specified by the given filter and handback.

Methods inherited from class mx4j.server.interceptor.DefaultMBeanServerInterceptor
`getAttribute, getAttributes, getLogger, getMBeanInfo, getNext, instantiate, invoke, isEnabled, setAttribute, setAttributes, setChain, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationListenerMBeanServerInterceptor

    public NotificationListenerMBeanServerInterceptor()

Method Detail

### getType

    public java.lang.String getType()

  Description copied from class: `DefaultMBeanServerInterceptor`
  Returns the type of this interceptor

  Specified by:
    `getType` in interface `MBeanServerInterceptor`
  Specified by:
    `getType` in class `DefaultMBeanServerInterceptor`

### addNotificationListener

    public void addNotificationListener(MBeanMetaData metadata,
                                        javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)

  Description copied from interface: `MBeanServerInterceptor`
  Adds the given notification listener to the MBean, along with the given filter and handback

  Specified by:
    `addNotificationListener` in interface `MBeanServerInterceptor`
  Overrides:
    `addNotificationListener` in class `DefaultMBeanServerInterceptor`

### removeNotificationListener

    public void removeNotificationListener(MBeanMetaData metadata,
                                           javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Description copied from interface: `MBeanServerInterceptor`
  Removes the given notification listener from the MBean.

  Specified by:
    `removeNotificationListener` in interface `MBeanServerInterceptor`
  Overrides:
    `removeNotificationListener` in class `DefaultMBeanServerInterceptor`
  Throws:
    `javax.management.ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(MBeanMetaData metadata,
                                           javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.ListenerNotFoundException

  Description copied from interface: `MBeanServerInterceptor`
  Removes the given notification listener from the MBean, specified by the given filter and handback.

  Specified by:
    `removeNotificationListener` in interface `MBeanServerInterceptor`
  Overrides:
    `removeNotificationListener` in class `DefaultMBeanServerInterceptor`
  Throws:
    `javax.management.ListenerNotFoundException`

### registration

    public void registration(MBeanMetaData metadata,
                             int operation)
                      throws javax.management.MBeanRegistrationException

  Description copied from interface: `MBeanServerInterceptor`
  Calls the specified `MBeanRegistration` method on the MBean instance.

  Specified by:
    `registration` in interface `MBeanServerInterceptor`
  Overrides:
    `registration` in class `DefaultMBeanServerInterceptor`
  Throws:
    `javax.management.MBeanRegistrationException`

### getNotificationListenerWrappers

    public java.util.Map getNotificationListenerWrappers()

### getNotificationListenerWrapperReferenceCount

    public int getNotificationListenerWrapperReferenceCount(java.lang.Object wrapper)

### getObjectNames

    public java.util.Map getObjectNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.